Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
BTreeDatabaseConfig..::.Creation Field
BTreeDatabaseConfig Class See Also Send Feedback

The policy for how to handle database creation.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public CreatePolicy Creation

Visual Basic (Declaration)
    Public Creation As CreatePolicy

Visual C++
    public:
    CreatePolicy Creation

# Remarks

If the database does not already exist and NEVER is set, Open(String, BTreeDatabaseConfig) fails.

# See Also

BTreeDatabaseConfig Class
BerkeleyDB Namespace